Bug 1285809 (CVE-2015-7514) - CVE-2015-7514 openstack-ironic: Ironic does not honor clean steps
Summary: CVE-2015-7514 openstack-ironic: Ironic does not honor clean steps
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2015-7514
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact: Toure Dunnon
URL:
Whiteboard:
Depends On: 1299676 1299675
Blocks: 1285811
TreeView+ depends on / blocked
 
Reported: 2015-11-26 14:09 UTC by Martin Prpič
Modified: 2019-09-29 13:40 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-20 04:08:36 UTC


Attachments (Terms of Use)
CVE-2015-7514-master-mitaka.patch (3.61 KB, text/plain)
2015-11-26 14:13 UTC, Martin Prpič
no flags Details
CVE-2015-7514-stable-liberty.patch (3.59 KB, text/plain)
2015-11-26 14:13 UTC, Martin Prpič
no flags Details

Description Martin Prpič 2015-11-26 14:09:36 UTC
A flaw was reported in Ironic:

Brad Morgan from Rackspace reported a vulnerability in Ironic. To prevent user data leak, Ironic is expected to "clean" a server after use, however that is transparently not happening. Previous tenant's data may be left behind on the disk and may be available to new users. All Ironic setups are affected.

This flaw is reported to affect versions >= 4.2.0 and <= 4.2.1.

Acknowledgements:

Red Hat would like to thank the OpenStack project for reporting this issue. Upstream acknowledges Brad Morgan from Rackspace as the original reporter.

Comment 1 Martin Prpič 2015-11-26 14:13:15 UTC
Created attachment 1099283 [details]
CVE-2015-7514-master-mitaka.patch

Comment 2 Martin Prpič 2015-11-26 14:13:21 UTC
Created attachment 1099284 [details]
CVE-2015-7514-stable-liberty.patch

Comment 3 Adam Mariš 2015-12-03 17:30:16 UTC
Public via:

http://seclists.org/oss-sec/2015/q4/426


Note You need to log in before you can comment on or make changes to this bug.